Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367020 - Non descriptive error message while deactivating deactivated host
Summary: Non descriptive error message while deactivating deactivated host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-sdk-python
Classification: oVirt
Component: Core
Version: 4.0.0a
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.0.4
: 4.0.0
Assignee: Ondra Machacek
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-15 09:29 UTC by Aleksei Slaikovskii
Modified: 2016-09-26 12:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 12:38:49 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
omachace: devel_ack+
ykaul: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61976 master MERGED Fault is provided in Action reponse 2016-08-23 09:34:42 UTC
oVirt gerrit 62714 sdk_4.0 MERGED Fault is provided in Action reponse 2016-08-23 09:42:38 UTC

Description Aleksei Slaikovskii 2016-08-15 09:29:20 UTC
Description of problem:
When trying to deactivate host which is already in maintenance mode using Python SDK you will get:
ovirtsdk4.Error: HTTP response code is 409.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Connect to engine using ovirtsdk4
2. Deactivate host
3. Deactivate it again

Actual results:
You've got info that there HTTP res 409, it's not so informative.

Expected results:
Something about actual problem such as "You can't deactivate host which is already in maintenance mode"

Comment 2 Aleksei Slaikovskii 2016-09-08 10:48:42 UTC
Now the error looks nice:
ovirtsdk4.Error: Fault reason is "Operation Failed". Fault detail is "[Cannot switch Host to Maintenance mode. Host is already in Maintenance mode.]". HTTP response code is 409.


Note You need to log in before you can comment on or make changes to this bug.